### Function

# Dex file_create

since: 1.1

#### Declaration [src]

    DexFuture*
    dex_file_create (
      GFile* file,
      GFileCreateFlags flags,
      int io_priority
    )

#### Description [src]

Wraps `g_file_create()` as a `DexFuture`.

Available since: 1.1

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`flags`

  Type: `GFileCreateFlags`

  Flags for creating the file.

`io_priority`

  Type: `int`

  Priority for the IO operation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFileOutputStream` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.